#
# spec file for package perl-Test-Taint
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Test-Taint
Version:        1.08
Release:        1.23
%define cpan_name Test-Taint
Summary:        Tools to test taintedness
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/P/PE/PETDANCE/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
Tainted data is data that comes from an unsafe source, such as the command
line, or, in the case of web apps, any GET or POST transactions. Read the
perlsec man page for details on why tainted data is bad, and how to untaint
the data.

When you're writing unit tests for code that deals with tainted data,
you'll want to have a way to provide tainted data for your routines to
handle, and easy ways to check and report on the taintedness of your data,
in standard Test::More style.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes

%changelog
* Thu Jun 13 2019 Stephan Kulow <coolo@suse.com>
- updated to 1.08
  see /usr/share/doc/packages/perl-Test-Taint/Changes
  1.08    Wed Jun 12 15:01:48 CDT 2019
    [FIXES]
    Fixed intermittent failures in the test suite.  Thanks, Petr
    Pisar. (RT #119897)
- obsoletes Test-Taint-1.06-Test-taintedness-on-X-instead-of-environment-variabl.patch
* Wed Oct 10 2018 Dirk Stoecker <opensuse@dstoecker.de>
- add patch to prevent random test failures:
  Test-Taint-1.06-Test-taintedness-on-X-instead-of-environment-variabl.patch
* Tue Jun  4 2013 coolo@suse.com
- updated to 1.06
    [ENHANCEMENTS]
    tainted() now localizes $SIG{__DIE__} before performing the
    taint check.  If the calling program has its own $SIG{__DIE__},
    we don't want to use it.  Thanks, Pete Krawczyk.
    https://rt.cpan.org/Ticket/Display.html?id=23507
    [FIXES]
    Checks for undef before opening files when trying to create
    some taint. Thanks Frédéric Buclin.
    https://rt.cpan.org/Ticket/Display.html?id=51246
* Mon May 30 2011 coolo@novell.com
- regenerate with newest cpanspec
* Fri Apr 22 2011 jw@novell.com
- initial pull from CPAN with cpanspec_obs
* Fri Apr 22 2011 jw@novell.com
- initial package 1.04
  * created by cpanspec 1.78.04
